<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  
			   title="Detalhe de  Senha Gerentes"
			  maxWidth="1200" maxHeight="700"   
			   >
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="SenhaGerentesExcluidoEvent")]
		[Event(name="SenhaGerentesAtualizadoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.SenhaGerentes;
			
			[Bindable]
			public var senhaGerentes : SenhaGerentes = null;
			
			private var senhaGerentesComponenteCadastro: SenhaGerentesComponenteCadastro;
			
			[Bindable]
			[Embed(source="src/assets/iconeMostrarSenha.png")]
			private var icone:Class;
			[Bindable]
			public var widthImage:String = "20";
			
			[Bindable]
			public var heightImage:String = "20";
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				senhaGerentesComponenteCadastro = new SenhaGerentesComponenteCadastro();
				senhaGerentesComponenteCadastro.senhaGerentes = this.senhaGerentes;
				senhaGerentesComponenteCadastro.addEventListener("SenhaGerentesAtualizadoEvent", atualizarSenhaGerentesPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(senhaGerentesComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(senhaGerentesComponenteCadastro);
			}
			
			private function atualizarSenhaGerentesPorAtualizacaoResultHandler(e:Event):void
			{
				this.senhaGerentes = senhaGerentesComponenteCadastro.senhaGerentes;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{
				Alert.yesLabel = "Sim";
				Alert.noLabel = "Não";
				Alert.show( "Estas informações serão perdidas. Deseja EXCLUÍ-LAS assim mesmo?","Exclusão", Alert.YES | Alert.NO, this, alertClickHandler);
			}
			
			
			private function alertClickHandler(event:CloseEvent):void{
				var outputMessage:String = "";
				switch (event.detail){
					case Alert.YES:
						var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("senhaGerentesService", excluirResultHandler);	
						remoteObject.getOperation("excluir").send(this.senhaGerentes);
						break;
					case Alert.NO:
						break;
				}
			}			
			
			
			// Depois que exclui fecha a janela
			private function excluirResultHandler( event: ResultEvent ): void {
				this.dispatchEvent(new Event("SenhaGerentesExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			protected function mostrarSenha_clickHandler(event:MouseEvent):void
			{
				labelSenha.displayAsPassword = !labelSenha.displayAsPassword;
			}
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{senhaGerentes.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa Física:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{senhaGerentes.empresaFisica.id} - {senhaGerentes.empresaFisica.razaoSocial}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Usuário:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{senhaGerentes.usuario.id} - {senhaGerentes.usuario.nome}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Senha:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:HGroup>
					<s:VGroup>
						<s:Spacer height="3" />
					<s:RichEditableText text="{senhaGerentes.senha}"  displayAsPassword="true" id="labelSenha" editable="false" />
					</s:VGroup>
				<s:Image  source="{icone}"  buttonMode="true" click="mostrarSenha_clickHandler(event)"  horizontalAlign="right" toolTip="Mostrar Senha"  height="20" width="20"  />
				</s:HGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Módulo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{senhaGerentes.modulo.descricao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>

</s:TitleWindow>